edje::edit Struct Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
edje::edit Struct Reference

Class edit. More...

## Public Member Functions
| edit (Eo *eo)
| Eo Constructor. More...
| edit (std::nullptr_t)
| nullptr_t Constructor. More...
| edit (edit const &other)
| Copy Constructor.
template<typename F >
::efl::eo::signal_connection | callback_async_error_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Error occured in asynchronous file operation.
template<typename T >
void | callback_async_error_call (T *info)
| Error occured in asynchronous file operation.
template<typename F >
::efl::eo::signal_connection | callback_async_opened_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| The file was successfully opened asynchronously.
template<typename T >
void | callback_async_opened_call (T *info)
| The file was successfully opened asynchronously.
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was added.
template<typename T >
void | callback_callback_add_call (T *info)
| A callback was added.
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was deleted.
template<typename T >
void | callback_callback_del_call (T *info)
| A callback was deleted.
template<typename F >
::efl::eo::signal_connection | callback_changed_size_hints_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Size hints changed event.
template<typename T >
void | callback_changed_size_hints_call (T *info)
| Size hints changed event.
template<typename F >
::efl::eo::signal_connection | callback_focus_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Focus In Event.
template<typename T >
void | callback_focus_in_call (T *info)
| Focus In Event.
template<typename F >
::efl::eo::signal_connection | callback_focus_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Focus Out Event.
template<typename T >
void | callback_focus_out_call (T *info)
| Focus Out Event.
template<typename F >
::efl::eo::signal_connection | callback_free_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Object Being Freed (Called after Del)
template<typename T >
void | callback_free_call (T *info)
| Object Being Freed (Called after Del)
template<typename F >
::efl::eo::signal_connection | callback_hide_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Hide Event.
template<typename T >
void | callback_hide_call (T *info)
| Hide Event.
template<typename F >
::efl::eo::signal_connection | callback_hold_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Events go on/off hold.
template<typename T >
void | callback_hold_call (T *info)
| Events go on/off hold.
template<typename F >
::efl::eo::signal_connection | callback_image_preloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image has been preloaded.
template<typename T >
void | callback_image_preloaded_call (T *info)
| Image has been preloaded.
template<typename F >
::efl::eo::signal_connection | callback_image_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image resize.
template<typename T >
void | callback_image_resize_call (T *info)
| Image resize.
template<typename F >
::efl::eo::signal_connection | callback_image_unloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image data has been unloaded (by some mechanism in Evas that throw out original image data)
template<typename T >
void | callback_image_unloaded_call (T *info)
| Image data has been unloaded (by some mechanism in Evas that throw out original image data)
template<typename F >
::efl::eo::signal_connection | callback_key_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Key Press Event.
template<typename T >
void | callback_key_down_call (T *info)
| Key Press Event.
template<typename F >
::efl::eo::signal_connection | callback_key_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Key Release Event.
template<typename T >
void | callback_key_up_call (T *info)
| Key Release Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Button Down Event.
template<typename T >
void | callback_mouse_down_call (T *info)
| Mouse Button Down Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse In Event.
template<typename T >
void | callback_mouse_in_call (T *info)
| Mouse In Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Move Event.
template<typename T >
void | callback_mouse_move_call (T *info)
| Mouse Move Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Out Event.
template<typename T >
void | callback_mouse_out_call (T *info)
| Mouse Out Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Button Up Event.
template<typename T >
void | callback_mouse_up_call (T *info)
| Mouse Button Up Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_wheel_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Wheel Event.
template<typename T >
void | callback_mouse_wheel_call (T *info)
| Mouse Wheel Event.
template<typename F >
::efl::eo::signal_connection | callback_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Move Event.
template<typename T >
void | callback_move_call (T *info)
| Move Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse-touch Down Event.
template<typename T >
void | callback_multi_down_call (T *info)
| Mouse-touch Down Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Multi-touch Move Event.
template<typename T >
void | callback_multi_move_call (T *info)
| Multi-touch Move Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse-touch Up Event.
template<typename T >
void | callback_multi_up_call (T *info)
| Mouse-touch Up Event.
template<typename F >
::efl::eo::signal_connection | callback_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Resize Event.
template<typename T >
void | callback_resize_call (T *info)
| Resize Event.
template<typename F >
::efl::eo::signal_connection | callback_restack_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Restack Event.
template<typename T >
void | callback_restack_call (T *info)
| Restack Event.
template<typename F >
::efl::eo::signal_connection | callback_show_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Show Event.
template<typename T >
void | callback_show_call (T *info)
| Show Event.
| edit (::efl::eo::parent_type _p)
| Constructs a new edje::edit object. More...
Public Member Functions inherited from efl::eo::concrete
| concrete (Eo *eo)
| Class constructor. More...
| concrete ()
| Default constructor. More...
| ~concrete ()
| Class destructor.
| concrete (concrete const &other)
| concrete (concrete &&other)
concrete & | operator= (concrete const &other)
| Assignment operator.
concrete & | operator= (concrete &&other)
Eo * | _eo_ptr () const
| Return a pointer to the EO Object stored in this instance. More...
Eo * | _release ()
| Releases the reference from this concrete object and return the pointer to the EO Object stored in this instance. More...
void | _reset (Eo *_ptr=nullptr)
| Reset the current pointer to reference a new Eo object.
int | ref_get () const
| Get the reference count of this object. More...
void | parent_set (concrete parent)
| Set the parent of this object. More...
eina::optional< concrete > | parent_get ()
| Get the parent of this object. More...
Eo_Dbg_Info | dbg_info_get ()
| Get debug information of this object. More...
| operator bool () const
Public Member Functions inherited from edje::object
| object (Eo *eo)
| Eo Constructor. More...
| object (std::nullptr_t)
| nullptr_t Constructor. More...
| object (object const &other)
| Copy Constructor.
bool | part_table_clear (::efl::eina::string_view part_, bool clear_) const
| Removes all object from the table. More...
Edje_External_Param_Type | part_external_param_type_get (::efl::eina::string_view part_, const char *param_) const
| Facility to query the type of the given parameter of the given part. More...
void | part_text_select_allow_set (::efl::eina::string_view part_, bool allow_) const
| Enables selection if the entry is an EXPLICIT selection mode type. More...
::efl::eina::string_view | part_state_get (::efl::eina::string_view part_, double *val_ret_) const
| Returns the state of the Edje part. More...
void * | text_markup_filter_callback_del_full (::efl::eina::string_view part_, Edje_Markup_Filter_Cb func_, void *data_) const
| Delete a function and matching user data from the markup filter list. More...
bool | part_drag_step_set (::efl::eina::string_view part_, double dx_, double dy_) const
| Sets the drag step increment. More...
bool | part_drag_step_get (::efl::eina::string_view part_, double *dx_, double *dy_) const
| Gets the drag step increment values. More...
void * | part_text_imf_context_get (::efl::eina::string_view part_) const
| Get the input method context in entry. More...
void | part_text_select_begin (::efl::eina::string_view part_) const
| Starts selecting at current cursor position. More...
::efl::eina::string_view | part_text_style_user_peek (::efl::eina::string_view part_) const
| Return the text of the object part. More...
template<typename F_func_ >
void * | signal_callback_del (::efl::eina::string_view emission_,::efl::eina::string_view source_, F_func_ &&func_) const
| Remove a signal-triggered callback from an object. More...
bool | part_text_cursor_next (::efl::eina::string_view part_, Edje_Cursor cur_) const
| Advances the cursor to the next cursor position. More...
void | part_text_style_user_push (::efl::eina::string_view part_,::efl::eina::string_view style_) const
| Set the style of the. More...
void | part_text_append (::efl::eina::string_view part_,::efl::eina::string_view text_) const
| Insert text for an object part. More...
bool | part_geometry_get (::efl::eina::string_view part_, Evas_Coord *x_, Evas_Coord *y_, Evas_Coord *w_, Evas_Coord *h_) const
| Retrieve the geometry of a given Edje part, in a given Edje object's group definition, relative to the object's area More...
void | part_text_input_panel_hide (::efl::eina::string_view part_) const
| Hide the input panel (virtual keyboard). More...
bool | part_text_item_geometry_get (::efl::eina::string_view part_,::efl::eina::string_view item_, Evas_Coord *cx_, Evas_Coord *cy_, Evas_Coord *cw_, Evas_Coord *ch_) const
| Return item geometry. More...
bool | part_table_unpack (::efl::eina::string_view part_,::evas::object child_obj_) const
| Removes an object from the table. More...
void | part_text_select_abort (::efl::eina::string_view part_) const
| Aborts any selection action on a part. More...
void * | text_insert_filter_callback_del_full (::efl::eina::string_view part_, Edje_Text_Filter_Cb func_, void *data_) const
| Delete a function and matching user data from the filter list. More...
void | part_text_style_user_pop (::efl::eina::string_view part_) const
| Delete the top style form the user style stack. More...
void | part_text_input_panel_imdata_set (::efl::eina::string_view part_, const void *data_, int len_) const
| Set the input panel-specific data to deliver to the input panel. More...
void | part_text_input_panel_imdata_get (::efl::eina::string_view part_, void *data_, int *len_) const
| Get the specific data of the current active input panel. More...
void | part_text_insert (::efl::eina::string_view part_,::efl::eina::string_view text_) const
| Insert text for an object part. More...
::evas::object | part_box_remove_at (::efl::eina::string_view part_, unsigned int pos_) const
| Removes an object from the box. More...
void | part_text_cursor_copy (::efl::eina::string_view part_, Edje_Cursor src_, Edje_Cursor dst_) const
| Copy the cursor to another cursor. More...
bool | parts_extends_calc (Evas_Coord *x_, Evas_Coord *y_, Evas_Coord *w_, Evas_Coord *h_) const
| Calculate the geometry of the region, relative to a given Edje object's area, occupied by all parts in the object More...
bool | part_drag_value_set (::efl::eina::string_view part_, double dx_, double dy_) const
| Set the dragable object location. More...
bool | part_drag_value_get (::efl::eina::string_view part_, double *dx_, double *dy_) const
| Get the dragable object location. More...
void | calc_force () const
| Force a Size/Geometry calculation. More...
void | part_text_cursor_pos_set (::efl::eina::string_view part_, Edje_Cursor cur_, int pos_) const
| Sets the cursor position to the given value. More...
int | part_text_cursor_pos_get (::efl::eina::string_view part_, Edje_Cursor cur_) const
| Retrieves the current position of the cursor. More...
int | freeze () const
| Freezes the Edje object. More...
char * | part_text_cursor_content_get (::efl::eina::string_view part_, Edje_Cursor cur_) const
| Returns the content (char) at the cursor position. More...
void | part_text_input_panel_layout_set (::efl::eina::string_view part_, Edje_Input_Panel_Layout layout_) const
| Set the layout of the input panel. More...
Edje_Input_Panel_Layout | part_text_input_panel_layout_get (::efl::eina::string_view part_) const
| Get the layout of the input panel. More...
bool | part_table_pack (::efl::eina::string_view part_,::evas::object child_obj_, unsigned short col_, unsigned short row_, unsigned short colspan_, unsigned short rowspan_) const
| Packs an object into the table. More...
void | part_text_input_panel_language_set (::efl::eina::string_view part_, Edje_Input_Panel_Lang lang_) const
| Set the language mode of the input panel. More...
Edje_Input_Panel_Lang | part_text_input_panel_language_get (::efl::eina::string_view part_) const
| Get the language mode of the input panel. More...
bool | part_table_col_row_size_get (::efl::eina::string_view part_, int *cols_, int *rows_) const
| Gets the number of columns and rows the table has. More...
::evas::object | part_external_object_get (::efl::eina::string_view part_) const
| Get the object created by this external part. More...
::evas::object | part_external_content_get (::efl::eina::string_view part_, const char *content_) const
| Get an object contained in an part of type EXTERNAL. More...
bool | preload (bool cancel_) const
| Preload the images on the Edje Object in the background. More...
void | part_text_input_panel_enabled_set (::efl::eina::string_view part_, bool enabled_) const
| Sets the attribute to show the input panel automatically. More...
bool | part_text_input_panel_enabled_get (::efl::eina::string_view part_) const
| Retrieve the attribute to show the input panel automatically. More...
void | part_text_select_extend (::efl::eina::string_view part_) const
| Extends the current selection to the current cursor position. More...
bool | part_box_insert_at (::efl::eina::string_view part_,::evas::object child_, unsigned int pos_) const
| Inserts an object to the box. More...
::efl::eina::crange_list< const Evas_Textblock_Rectangle * > | part_text_anchor_geometry_get (::efl::eina::string_view part_,::efl::eina::string_view anchor_) const
| Return a list of Evas_Textblock_Rectangle anchor rectangles. More...
bool | part_text_cursor_down (::efl::eina::string_view part_, Edje_Cursor cur_) const
| Moves the cursor to the char below the current cursor position. More...
bool | part_drag_page_set (::efl::eina::string_view part_, double dx_, double dy_) const
| Sets the page step increments. More...
bool | part_drag_page_get (::efl::eina::string_view part_, double *dx_, double *dy_) const
| Gets the page step increments. More...
bool | part_box_prepend (::efl::eina::string_view part_,::evas::object child_) const
| Prepends an object to the box. More...
void | signal_emit (::efl::eina::string_view emission_,::efl::eina::string_view source_) const
| Send/emit an Edje signal to a given Edje object. More...
void | part_text_input_panel_layout_variation_set (::efl::eina::string_view part_, int variation_) const
| Set the layout variation of the input panel. More...
int | part_text_input_panel_layout_variation_get (::efl::eina::string_view part_) const
| Get the layout variation of the input panel. More...
void | message_send (Edje_Message_Type type_, int id_, void *msg_) const
| Send an (Edje) message to a given Edje object. More...
void | part_text_select_none (::efl::eina::string_view part_) const
| Set the selection to be none. More...
const Evas_Object * | part_object_get (::efl::eina::string_view part_) const
| Get a handle to the Evas object implementing a given Edje part, in an Edje object. More...
bool | part_drag_size_set (::efl::eina::string_view part_, double dw_, double dh_) const
| Set the dragable object size. More...
bool | part_drag_size_get (::efl::eina::string_view part_, double *dw_, double *dh_) const
| Get the dragable object size. More...
void * | text_insert_filter_callback_del (::efl::eina::string_view part_, Edje_Text_Filter_Cb func_) const
| Delete a function from the filter list. More...
Edje_Drag_Dir | part_drag_dir_get (::efl::eina::string_view part_) const
| Determine dragable directions. More...
bool | part_text_unescaped_set (::efl::eina::string_view part_,::efl::eina::string_view text_to_escape_) const
| Sets the raw (non escaped) text for an object part. More...
char * | part_text_unescaped_get (::efl::eina::string_view part_) const
| Returns the text of the object part, without escaping. More...
template<typename F_func_ >
void | signal_callback_add (::efl::eina::string_view emission_,::efl::eina::string_view source_, F_func_ &&func_) const
| Add a callback for an arriving Edje signal, emitted by a given Edje object. More...
void | part_text_select_all (::efl::eina::string_view part_) const
| Set the selection to be everything. More...
void | part_text_input_panel_return_key_disabled_set (::efl::eina::string_view part_, bool disabled_) const
| Set the return key on the input panel to be disabled. More...
bool | part_text_input_panel_return_key_disabled_get (::efl::eina::string_view part_) const
| Get whether the return key on the input panel should be disabled or not. More...
void | part_text_autocapital_type_set (::efl::eina::string_view part_, Edje_Text_Autocapital_Type autocapital_type_) const
| Set the autocapitalization type on the immodule. More...
Edje_Text_Autocapital_Type | part_text_autocapital_type_get (::efl::eina::string_view part_) const
| Retrieves the autocapitalization type. More...
void | part_unswallow (::evas::object obj_swallow_) const
| Unswallow an object. More...
void | part_text_prediction_allow_set (::efl::eina::string_view part_, bool prediction_) const
| Set whether the prediction is allowed or not. More...
bool | part_text_prediction_allow_get (::efl::eina::string_view part_) const
| Get whether the prediction is allowed or not. More...
::efl::eina::string_view | data_get (::efl::eina::string_view key_) const
| Retrive an EDC data field's value from a given Edje object's group. More...
void | text_markup_filter_callback_add (::efl::eina::string_view part_, Edje_Markup_Filter_Cb func_, void *data_) const
| Add a markup filter function for newly inserted text. More...
void | message_signal_process () const
| Process an object's message queue. More...
::evas::object | part_box_remove (::efl::eina::string_view part_,::evas::object child_) const
| Removes an object from the box. More...
int | thaw () const
| Thaws the Edje object. More...
::evas::object | part_swallow_get (::efl::eina::string_view part_) const
| Get the object currently swallowed by a part. More...
void | part_text_imf_context_reset (::efl::eina::string_view part_) const
| Reset the input method context if needed. More...
void | part_text_input_panel_return_key_type_set (::efl::eina::string_view part_, Edje_Input_Panel_Return_Key_Type return_key_type_) const
| Set the "return" key type. More...
Edje_Input_Panel_Return_Key_Type | part_text_input_panel_return_key_type_get (::efl::eina::string_view part_) const
| Get the "return" key type. More...
::evas::object | part_table_child_get (::efl::eina::string_view part_, unsigned int col_, unsigned int row_) const
| Retrieve a child from a table. More...
bool | part_box_insert_before (::efl::eina::string_view part_,::evas::object child_, const Evas_Object *reference_) const
| Adds an object to the box. More...
bool | part_external_param_set (::efl::eina::string_view part_, const Edje_External_Param *param_) const
| Set the parameter for the external part. More...
bool | part_external_param_get (::efl::eina::string_view part_, Edje_External_Param *param_) const
| Get the parameter for the external part. More...
void | size_min_calc (Evas_Coord *minw_, Evas_Coord *minh_) const
| Calculate the minimum required size for a given Edje object. More...
bool | part_box_append (::efl::eina::string_view part_,::evas::object child_) const
| Appends an object to the box. More...
void | size_min_restricted_calc (Evas_Coord *minw_, Evas_Coord *minh_, Evas_Coord restrictedw_, Evas_Coord restrictedh_) const
| Calculate the minimum required size for a given Edje object. More...
bool | part_box_remove_all (::efl::eina::string_view part_, bool clear_) const
| Removes all elements from the box. More...
bool | part_drag_page (::efl::eina::string_view part_, double dx_, double dy_) const
| Pages x,y steps. More...
bool | part_text_set (::efl::eina::string_view part_,::efl::eina::string_view text_) const
| Sets the text for an object part. More...
::efl::eina::string_view | part_text_get (::efl::eina::string_view part_) const
| Return the text of the object part. More...
void | part_text_input_panel_show_on_demand_set (::efl::eina::string_view part_, bool ondemand_) const
| Set the attribute to show the input panel in case of only an user's explicit Mouse Up event. More...
bool | part_text_input_panel_show_on_demand_get (::efl::eina::string_view part_) const
| Get the attribute to show the input panel in case of only an user's explicit Mouse Up event. More...
void | part_text_input_hint_set (::efl::eina::string_view part_, Edje_Input_Hints input_hints_) const
| Sets the input hint which allows input methods to fine-tune their behavior. More...
Edje_Input_Hints | part_text_input_hint_get (::efl::eina::string_view part_) const
| Gets the value of input hint. More...
::efl::eina::string_view | part_text_selection_get (::efl::eina::string_view part_) const
| Return the selection text of the object part. More...
bool | part_text_cursor_is_format_get (::efl::eina::string_view part_, Edje_Cursor cur_) const
| Returns whether the cursor points to a format. More...
bool | text_class_get (::efl::eina::string_view text_class_, const char **font_, Evas_Font_Size *size_) const
| Gets font and font size from edje text class. More...
bool | color_class_set (::efl::eina::string_view color_class_, int r_, int g_, int b_, int a_, int r2_, int g2_, int b2_, int a2_, int r3_, int g3_, int b3_, int a3_) const
| Sets the object color class. More...
bool | color_class_get (::efl::eina::string_view color_class_, int *r_, int *g_, int *b_, int *a_, int *r2_, int *g2_, int *b2_, int *a2_, int *r3_, int *g3_, int *b3_, int *a3_) const
| Gets the object color class. More...
::efl::eina::string_view | color_class_description_get (::efl::eina::string_view color_class_) const
| Gets the description of an object color class. More...
bool | part_drag_step (::efl::eina::string_view part_, double dx_, double dy_) const
| Steps the dragable x,y steps. More...
bool | part_text_cursor_up (::efl::eina::string_view part_, Edje_Cursor cur_) const
| Move the cursor to the char above the current cursor position. More...
void | part_text_cursor_geometry_get (::efl::eina::string_view part_, Evas_Coord *x_, Evas_Coord *y_, Evas_Coord *w_, Evas_Coord *h_) const
| Returns the cursor geometry of the part relative to the edje object. More...
::efl::eina::crange_list< ::efl::eina::string_view > | part_text_anchor_list_get (::efl::eina::string_view part_) const
| Return a list of char anchor names. More...
void | text_insert_filter_callback_add (::efl::eina::string_view part_, Edje_Text_Filter_Cb func_, void *data_) const
| Add a filter function for newly inserted text. More...
void | part_text_input_panel_show (::efl::eina::string_view part_) const
| Show the input panel (virtual keyboard) based on the input panel property such as layout, autocapital types, and so on. More...
bool | part_exists (::efl::eina::string_view part_) const
| Check if an Edje part exists in a given Edje object's group definition. More...
void * | text_markup_filter_callback_del (::efl::eina::string_view part_, Edje_Markup_Filter_Cb func_) const
| Delete a function from the markup filter list. More...
bool | part_text_cursor_is_visible_format_get (::efl::eina::string_view part_, Edje_Cursor cur_) const
| Return true if the cursor points to a visible format For example \t, \n, item and etc. More...
void | part_text_user_insert (::efl::eina::string_view part_,::efl::eina::string_view text_) const
| This function inserts text as if the user has inserted it. More...
bool | part_text_cursor_prev (::efl::eina::string_view part_, Edje_Cursor cur_) const
| Moves the cursor to the previous char. More...
::efl::eina::crange_list< ::efl::eina::string_view > | part_text_item_list_get (::efl::eina::string_view part_) const
| Return a list of char item names. More...
bool | part_swallow (::efl::eina::string_view part_,::evas::object obj_swallow_) const
| "Swallows" an object into one of the Edje object `SWALLOW` parts. More...
bool | update_hints_get () const
| Whether or not Edje will update size hints on itself. More...
void | update_hints_set (bool update_) const
| Edje will automatically update the size hints on itself. More...
bool | mirrored_get () const
| Get the RTL orientation for this object. More...
void | mirrored_set (bool rtl_) const
| Set the RTL orientation for this object. More...
bool | animation_get () const
| Get the Edje object's animation state. More...
void | animation_set (bool on_) const
| Set the object's animation state. More...
bool | play_get () const
| Get the Edje object's state. More...
void | play_set (bool play_) const
| Set the Edje object to playing or paused states. More...
const Edje_Perspective * | perspective_get () const
| Get the current perspective used on this Edje object. More...
void | perspective_set (Edje_Perspective *ps_) const
| Set the given perspective object on this Edje object. More...
double | scale_get () const
| Get a given Edje object's scaling factor. More...
bool | scale_set (double scale_) const
| Set the scaling factor for a given Edje object. More...
double | base_scale_get () const
| Get a given Edje object's base_scale factor. More...
void | text_change_cb_set (Edje_Text_Change_Cb func_, void *data_) const
| Set the object text callback. More...
void | part_text_cursor_begin_set (::efl::eina::string_view part_, Edje_Cursor cur_) const
| Moves the cursor to the beginning of the text part. More...
void | part_text_cursor_line_end_set (::efl::eina::string_view part_, Edje_Cursor cur_) const
| Move the cursor to the end of the line. More...
bool | text_class_set (::efl::eina::string_view text_class_,::efl::eina::string_view font_, Evas_Font_Size size_) const
| Sets Edje text class. More...
bool | part_text_cursor_coord_set (::efl::eina::string_view part_, Edje_Cursor cur_, Evas_Coord x_, Evas_Coord y_) const
| Position the given cursor to a X,Y position. More...
void | part_text_cursor_end_set (::efl::eina::string_view part_, Edje_Cursor cur_) const
| Moves the cursor to the end of the text part. More...
bool | part_text_escaped_set (::efl::eina::string_view part_,::efl::eina::string_view text_) const
| Sets the text for an object part, but converts HTML escapes to UTF8. More...
void | item_provider_set (Edje_Item_Provider_Cb func_, void *data_) const
| Set the function that provides item objects for named items in an edje entry text. More...
void | part_text_cursor_line_begin_set (::efl::eina::string_view part_, Edje_Cursor cur_) const
| Move the cursor to the beginning of the line. More...
void | message_handler_set (Edje_Message_Handler_Cb func_, void *data_) const
| Set an Edje message handler function for a given Edje object. More...
void | size_min_get (Evas_Coord *minw_, Evas_Coord *minh_) const
| Get the minimum size specified – as an EDC property – for a given Edje object. More...
::efl::eina::range_list< ::efl::eina::string_view > | access_part_list_get () const
| Retrieve a list all accessibility part names. More...
Edje_Load_Error | load_error_get () const
| Gets the (last) file loading error for a given Edje object. More...
void | size_max_get (Evas_Coord *maxw_, Evas_Coord *maxh_) const
| Get the maximum size specified – as an EDC property – for a given Edje object. More...
template<typename F >
::efl::eo::signal_connection | callback_async_error_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Error occured in asynchronous file operation.
template<typename T >
void | callback_async_error_call (T *info)
| Error occured in asynchronous file operation.
template<typename F >
::efl::eo::signal_connection | callback_async_opened_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| The file was successfully opened asynchronously.
template<typename T >
void | callback_async_opened_call (T *info)
| The file was successfully opened asynchronously.
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was added.
template<typename T >
void | callback_callback_add_call (T *info)
| A callback was added.
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was deleted.
template<typename T >
void | callback_callback_del_call (T *info)
| A callback was deleted.
template<typename F >
::efl::eo::signal_connection | callback_changed_size_hints_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Size hints changed event.
template<typename T >
void | callback_changed_size_hints_call (T *info)
| Size hints changed event.
template<typename F >
::efl::eo::signal_connection | callback_focus_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Focus In Event.
template<typename T >
void | callback_focus_in_call (T *info)
| Focus In Event.
template<typename F >
::efl::eo::signal_connection | callback_focus_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Focus Out Event.
template<typename T >
void | callback_focus_out_call (T *info)
| Focus Out Event.
template<typename F >
::efl::eo::signal_connection | callback_free_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Object Being Freed (Called after Del)
template<typename T >
void | callback_free_call (T *info)
| Object Being Freed (Called after Del)
template<typename F >
::efl::eo::signal_connection | callback_hide_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Hide Event.
template<typename T >
void | callback_hide_call (T *info)
| Hide Event.
template<typename F >
::efl::eo::signal_connection | callback_hold_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Events go on/off hold.
template<typename T >
void | callback_hold_call (T *info)
| Events go on/off hold.
template<typename F >
::efl::eo::signal_connection | callback_image_preloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image has been preloaded.
template<typename T >
void | callback_image_preloaded_call (T *info)
| Image has been preloaded.
template<typename F >
::efl::eo::signal_connection | callback_image_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image resize.
template<typename T >
void | callback_image_resize_call (T *info)
| Image resize.
template<typename F >
::efl::eo::signal_connection | callback_image_unloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image data has been unloaded (by some mechanism in Evas that throw out original image data)
template<typename T >
void | callback_image_unloaded_call (T *info)
| Image data has been unloaded (by some mechanism in Evas that throw out original image data)
template<typename F >
::efl::eo::signal_connection | callback_key_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Key Press Event.
template<typename T >
void | callback_key_down_call (T *info)
| Key Press Event.
template<typename F >
::efl::eo::signal_connection | callback_key_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Key Release Event.
template<typename T >
void | callback_key_up_call (T *info)
| Key Release Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Button Down Event.
template<typename T >
void | callback_mouse_down_call (T *info)
| Mouse Button Down Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse In Event.
template<typename T >
void | callback_mouse_in_call (T *info)
| Mouse In Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Move Event.
template<typename T >
void | callback_mouse_move_call (T *info)
| Mouse Move Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Out Event.
template<typename T >
void | callback_mouse_out_call (T *info)
| Mouse Out Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Button Up Event.
template<typename T >
void | callback_mouse_up_call (T *info)
| Mouse Button Up Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_wheel_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Wheel Event.
template<typename T >
void | callback_mouse_wheel_call (T *info)
| Mouse Wheel Event.
template<typename F >
::efl::eo::signal_connection | callback_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Move Event.
template<typename T >
void | callback_move_call (T *info)
| Move Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse-touch Down Event.
template<typename T >
void | callback_multi_down_call (T *info)
| Mouse-touch Down Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Multi-touch Move Event.
template<typename T >
void | callback_multi_move_call (T *info)
| Multi-touch Move Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse-touch Up Event.
template<typename T >
void | callback_multi_up_call (T *info)
| Mouse-touch Up Event.
template<typename F >
::efl::eo::signal_connection | callback_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Resize Event.
template<typename T >
void | callback_resize_call (T *info)
| Resize Event.
template<typename F >
::efl::eo::signal_connection | callback_restack_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Restack Event.
template<typename T >
void | callback_restack_call (T *info)
| Restack Event.
template<typename F >
::efl::eo::signal_connection | callback_show_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Show Event.
template<typename T >
void | callback_show_call (T *info)
| Show Event.
| object (::efl::eo::parent_type _p)
| Constructs a new edje::object object. More...
Public Member Functions inherited from efl::file
| file (Eo *eo)
| Eo Constructor. More...
| file (std::nullptr_t)
| nullptr_t Constructor. More...
| file (file const &other)
| Copy Constructor.
bool | save (::efl::eina::string_view file_,::efl::eina::string_view key_,::efl::eina::string_view flags_) const
| Save the given image object's contents to an (image) file. More...
void | eject () const
| Eject the represented object. More...
bool | async_wait () const
| Block and wait until all asynchronous operations are completed. More...
void | mmap_get (const Eina_File **f_, const char **key_) const
| Get the source mmaped file from where an image object must fetch the real image data (it must be an Eina_File). More...
bool | mmap_set (const Eina_File *f_,::efl::eina::string_view key_) const
| Set the source mmaped file from where an image object must fetch the real image data (it must be an Eina_File). More...
void | file_get (const char **file_, const char **key_) const
| Retrieve the source file from where an image object is to fetch the real image data (it may be an Eet file, besides pure image ones). More...
bool | file_set (::efl::eina::string_view file_,::efl::eina::string_view key_) const
| Set the source file from where an image object must fetch the real image data (it may be an Eet file, besides pure image ones). More...
bool | async_get () const
| Retrieves the asynchronous open flag, which will be true only if enabled and supported by the object. More...
void | async_set (bool async_) const
| If true, file open will happen asynchronously allowing for better performance in some situations. More...
template<typename F >
::efl::eo::signal_connection | callback_async_error_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Error occured in asynchronous file operation.
template<typename T >
void | callback_async_error_call (T *info)
| Error occured in asynchronous file operation.
template<typename F >
::efl::eo::signal_connection | callback_async_opened_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| The file was successfully opened asynchronously.
template<typename T >
void | callback_async_opened_call (T *info)
| The file was successfully opened asynchronously.
| file (::efl::eo::parent_type _p)
| Constructs a new efl::file object. More...
Public Member Functions inherited from efl::gfx::base
| base (Eo *eo)
| Eo Constructor. More...
| base (std::nullptr_t)
| nullptr_t Constructor. More...
| base (base const &other)
| Copy Constructor.
void | position_get (int *x_, int *y_) const
| Retrieves the position of the given Evas object. More...
void | position_set (int x_, int y_) const
| Move the given Evas object to the given location inside its canvas' viewport. More...
void | size_get (int *w_, int *h_) const
| Retrieves the (rectangular) size of the given Evas object. More...
void | size_set (int w_, int h_) const
| Changes the size of the given Evas object. More...
void | color_get (int *r_, int *g_, int *b_, int *a_) const
| Retrieves the general/main color of the given Evas object. More...
void | color_set (int r_, int g_, int b_, int a_) const
| Sets the general/main color of the given Evas object to the given one. More...
bool | color_part_get (::efl::eina::string_view part_, int *r_, int *g_, int *b_, int *a_) const
| Retrieves a specific color of the given Evas object. More...
bool | color_part_set (::efl::eina::string_view part_, int r_, int g_, int b_, int a_) const
| Sets a specifc color of the given Efl.Gfx.Base object to the given one. More...
bool | visible_get () const
| Retrieves whether or not the given Evas object is visible. More...
void | visible_set (bool v_) const
| Makes the given Evas object visible or invisible. More...
| base (::efl::eo::parent_type _p)
| Constructs a new efl::gfx::base object. More...
Public Member Functions inherited from efl::gfx::stack
| stack (Eo *eo)
| Eo Constructor. More...
| stack (std::nullptr_t)
| nullptr_t Constructor. More...
| stack (stack const &other)
| Copy Constructor.
void | stack_below (Efl_Gfx_Stack *below_) const
| Stack `obj` immediately below `below`. More...
void | raise () const
| Raise `obj` to the top of its layer. More...
void | stack_above (Efl_Gfx_Stack *above_) const
| Stack `obj` immediately above `above`. More...
void | lower () const
| Lower `obj` to the bottom of its layer. More...
short | layer_get () const
| Retrieves the layer of its canvas that the given object is part of. More...
void | layer_set (short l_) const
| Sets the layer of its canvas that the given object will be part of. More...
Efl_Gfx_Stack * | below_get () const
| Get the Evas object stacked right below `obj`. More...
Efl_Gfx_Stack * | above_get () const
| Get the Evas object stacked right above `obj`. More...
| stack (::efl::eo::parent_type _p)
| Constructs a new efl::gfx::stack object. More...
Public Member Functions inherited from eo::base
| base (Eo *eo)
| Eo Constructor. More...
| base (std::nullptr_t)
| nullptr_t Constructor. More...
| base (base const &other)
| Copy Constructor.
void | event_callback_forwarder_del (const Eo_Event_Description *desc_,::efl::eo::concrete new_obj_) const
| Remove an event callback forwarder for an event and an object. More...
void | event_thaw () const
| thaw events of object. More...
void | event_freeze () const
| freeze events of object. More...
void | event_callback_array_del (const Eo_Callback_Array_Item *array_, const void *user_data_) const
| Del a callback array with a specific data associated to it for an event. More...
void | wref_del (Eo **wref_) const
| Delete the weak reference passed. More...
void | destructor () const
| Call the object's destructor. More...
::efl::eo::concrete | finalize () const
| Called at the end of #eo_add. More...
void | key_data_set (::efl::eina::string_view key_, const void *data_, eo_key_data_free_func free_func_) const
| Set generic data to object. More...
void * | key_data_get (::efl::eina::string_view key_) const
| Get generic data from object. More...
void | event_callback_del (const Eo_Event_Description *desc_, Eo_Event_Cb func_, const void *user_data_) const
| Del a callback with a specific data associated to it for an event. More...
void | key_data_del (::efl::eina::string_view key_) const
| Del generic data from object. More...
void | event_callback_array_priority_add (const Eo_Callback_Array_Item *array_, Eo_Callback_Priority priority_, const void *data_) const
| Add a callback array for an event with a specific priority. More...
void | wref_add (::efl::eo::concrete *wref_) const
| Add a new weak reference to obj. More...
void | dbg_info_get (Eo_Dbg_Info *root_node_) const
| Get dbg information from the object. More...
void | event_callback_forwarder_add (const Eo_Event_Description *desc_,::efl::eo::concrete new_obj_) const
| Add an event callback forwarder for an event and an object. More...
bool | event_callback_call (const Eo_Event_Description *desc_, void *event_info_) const
| Call the callbacks for an event of an object. More...
void | event_callback_priority_add (const Eo_Event_Description *desc_, Eo_Callback_Priority priority_, Eo_Event_Cb cb_, const void *data_) const
| Add a callback for an event with a specific priority. More...
Eina_Iterator * | children_iterator_new () const
| Get an iterator on all childrens.
bool | composite_attach (::efl::eo::concrete comp_obj_) const
bool | composite_detach (::efl::eo::concrete comp_obj_) const
bool | composite_part_is () const
::efl::eo::concrete | parent_get () const
| Get the parent of an object. More...
void | parent_set (::efl::eo::concrete parent_) const
| Set the parent of an object Parents keep references to their children so in order to delete objects that have parents you need to set parent to NULL or use eo_del() that does that for you (and also unrefs the object). More...
int | event_global_freeze_count_get () const
| return freeze events of object. More...
int | event_freeze_count_get () const
| return freeze events of object. More...
bool | finalized_get () const
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was added.
template<typename T >
void | callback_callback_add_call (T *info)
| A callback was added.
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was deleted.
template<typename T >
void | callback_callback_del_call (T *info)
| A callback was deleted.
template<typename F >
::efl::eo::signal_connection | callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Obj is being deleted.
template<typename T >
void | callback_del_call (T *info)
| Obj is being deleted.
| base (::efl::eo::parent_type _p)
| Constructs a new eo::base object. More...
Public Member Functions inherited from evas::common_interface
| common_interface (Eo *eo)
| Eo Constructor. More...
| common_interface (std::nullptr_t)
| nullptr_t Constructor. More...
| common_interface (common_interface const &other)
| Copy Constructor.
Evas * | evas_get () const
| No description supplied by the EAPI. More...
| common_interface (::efl::eo::parent_type _p)
| Constructs a new evas::common_interface object. More...
Public Member Functions inherited from evas::object
| object (Eo *eo)
| Eo Constructor. More...
| object (std::nullptr_t)
| nullptr_t Constructor. More...
| object (object const &other)
| Copy Constructor.
bool | clipees_has () const
| Test if any object is clipped by `obj`. More...
bool | key_grab (::efl::eina::string_view keyname_, Evas_Modifier_Mask modifiers_, Evas_Modifier_Mask not_modifiers_, bool exclusive_) const
| Requests `keyname` key events be directed to `obj`. More...
bool | smart_type_check (::efl::eina::string_view type_) const
| Checks whether a given smart object or any of its smart object parents is of a given smart class. More...
::evas::object | name_child_find (::efl::eina::string_view name_, int recurse_) const
| Retrieves the object from children of the given object with the given name. More...
void | key_ungrab (::efl::eina::string_view keyname_, Evas_Modifier_Mask modifiers_, Evas_Modifier_Mask not_modifiers_) const
| Removes the grab on `keyname` key events by `obj`. More...
void | clip_unset () const
| Disable/cease clipping on a clipped `obj` object. More...
void | smart_move_children_relative (Evas_Coord dx_, Evas_Coord dy_) const
| Moves all children objects of a given smart object relative to a given offset. More...
bool | smart_type_check_ptr (::efl::eina::string_view type_) const
| Checks whether a given smart object or any of its smart object parents is of a given smart class, using pointer comparison. More...
void | size_hint_max_get (Evas_Coord *w_, Evas_Coord *h_) const
| Retrieves the hints for an object's maximum size. More...
void | size_hint_max_set (Evas_Coord w_, Evas_Coord h_) const
| Sets the hints for an object's maximum size. More...
void | size_hint_request_get (Evas_Coord *w_, Evas_Coord *h_) const
| Retrieves the hints for an object's optimum size. More...
void | size_hint_request_set (Evas_Coord w_, Evas_Coord h_) const
| Sets the hints for an object's optimum size. More...
::efl::eina::string_view | type_get () const
| Retrieves the type of the given Evas object. More...
void | type_set (::efl::eina::string_view type_) const
| Sets the type of the given Evas object. More...
void | size_hint_min_get (Evas_Coord *w_, Evas_Coord *h_) const
| Retrieves the hints for an object's minimum size. More...
void | size_hint_min_set (Evas_Coord w_, Evas_Coord h_) const
| Sets the hints for an object's minimum size. More...
Evas_Object_Pointer_Mode | pointer_mode_get () const
| Determine how pointer will behave. More...
void | pointer_mode_set (Evas_Object_Pointer_Mode pointer_mode_) const
| Set pointer behavior. More...
Evas_Render_Op | render_op_get () const
| Retrieves the current value of the operation used for rendering the Evas object. More...
void | render_op_set (Evas_Render_Op render_op_) const
| Sets the render_op to be used for rendering the Evas object. More...
bool | freeze_events_get () const
| Determine whether an object is set to freeze (discard) events. More...
void | freeze_events_set (bool freeze_) const
| Set whether an Evas object is to freeze (discard) events. More...
const Evas_Map * | map_get () const
| Get current object transformation map. More...
void | map_set (const Evas_Map *map_) const
| Set current object transformation map. More...
void | size_hint_aspect_get (Evas_Aspect_Control *aspect_, Evas_Coord *w_, Evas_Coord *h_) const
| Retrieves the hints for an object's aspect ratio. More...
void | size_hint_aspect_set (Evas_Aspect_Control aspect_, Evas_Coord w_, Evas_Coord h_) const
| Sets the hints for an object's aspect ratio. More...
::evas::object | clip_get () const
| Get the object clipping `obj` (if any). More...
void | clip_set (::evas::object clip_) const
| Clip one object to another. More...
void | size_hint_padding_get (Evas_Coord *l_, Evas_Coord *r_, Evas_Coord *t_, Evas_Coord *b_) const
| Retrieves the hints for an object's padding space. More...
void | size_hint_padding_set (Evas_Coord l_, Evas_Coord r_, Evas_Coord t_, Evas_Coord b_) const
| Sets the hints for an object's padding space. More...
bool | repeat_events_get () const
| Determine whether an object is set to repeat events. More...
void | repeat_events_set (bool repeat_) const
| Set whether an Evas object is to repeat events. More...
void | size_hint_weight_get (double *x_, double *y_) const
| Retrieves the hints for an object's weight. More...
void | size_hint_weight_set (double x_, double y_) const
| Sets the hints for an object's weight. More...
::efl::eina::string_view | name_get () const
| Retrieves the name of the given Evas object. More...
void | name_set (::efl::eina::string_view name_) const
| Sets the name of the given Evas object to the given name. More...
double | scale_get () const
| Retrieves the scaling factor for the given Evas object. More...
void | scale_set (double scale_) const
| Sets the scaling factor for an Evas object. More...
bool | static_clip_get () const
| Get the "static clipper" hint flag for a given Evas object. More...
void | static_clip_set (bool is_static_clip_) const
| Set a hint flag on the given Evas object that it's used as a "static clipper". More...
bool | focus_get () const
| Retrieve whether an object has the focus. More...
void | focus_set (bool focus_) const
| Sets or unsets a given object as the currently focused one on its canvas. More...
bool | is_frame_object_get () const
void | is_frame_object_set (bool is_frame_) const
bool | map_enable_get () const
| Get the map enabled state. More...
void | map_enable_set (bool enabled_) const
| Enable or disable the map that is set. More...
bool | precise_is_inside_get () const
| Determine whether an object is set to use precise point collision detection. More...
void | precise_is_inside_set (bool precise_) const
| Set whether to use precise (usually expensive) point collision detection for a given Evas object. More...
void | size_hint_align_get (double *x_, double *y_) const
| Retrieves the hints for on object's alignment. More...
void | size_hint_align_set (double x_, double y_) const
| Sets the hints for an object's alignment. More...
bool | propagate_events_get () const
| Retrieve whether an Evas object is set to propagate events. More...
void | propagate_events_set (bool propagate_) const
| Set whether events on a smart object's member should get propagated up to its parent. More...
bool | pass_events_get () const
| Determine whether an object is set to pass (ignore) events. More...
void | pass_events_set (bool pass_) const
| Set whether an Evas object is to pass (ignore) events. More...
bool | anti_alias_get () const
| Retrieves whether or not the given Evas object is to be drawn anti_aliased. More...
void | anti_alias_set (bool anti_alias_) const
| Sets whether or not the given Evas object is to be drawn anti-aliased. More...
void * | smart_data_get () const
| Retrieve user data stored on a given smart object. More...
::evas::object | smart_clipped_clipper_get () const
| Get the clipper object for the given clipped smart object. More...
::efl::eina::crange_list< ::evas::object > | clipees_get () const
| Return a list of objects currently clipped by `obj`. More...
::evas::object | smart_parent_get () const
| Gets the parent smart object of a given Evas object, if it has one. More...
Evas_Display_Mode | size_hint_display_mode_get () const
| Retrieves the hints for an object's display mode. More...
void | size_hint_display_mode_set (Evas_Display_Mode dispmode_) const
| Sets the hints for an object's disply mode. More...
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was added.
template<typename T >
void | callback_callback_add_call (T *info)
| A callback was added.
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was deleted.
template<typename T >
void | callback_callback_del_call (T *info)
| A callback was deleted.
template<typename F >
::efl::eo::signal_connection | callback_changed_size_hints_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Size hints changed event.
template<typename T >
void | callback_changed_size_hints_call (T *info)
| Size hints changed event.
template<typename F >
::efl::eo::signal_connection | callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Object Being Deleted (called before Free)
template<typename T >
void | callback_del_call (T *info)
| Object Being Deleted (called before Free)
template<typename F >
::efl::eo::signal_connection | callback_focus_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Focus In Event.
template<typename T >
void | callback_focus_in_call (T *info)
| Focus In Event.
template<typename F >
::efl::eo::signal_connection | callback_focus_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Focus Out Event.
template<typename T >
void | callback_focus_out_call (T *info)
| Focus Out Event.
template<typename F >
::efl::eo::signal_connection | callback_free_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Object Being Freed (Called after Del)
template<typename T >
void | callback_free_call (T *info)
| Object Being Freed (Called after Del)
template<typename F >
::efl::eo::signal_connection | callback_hide_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Hide Event.
template<typename T >
void | callback_hide_call (T *info)
| Hide Event.
template<typename F >
::efl::eo::signal_connection | callback_hold_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Events go on/off hold.
template<typename T >
void | callback_hold_call (T *info)
| Events go on/off hold.
template<typename F >
::efl::eo::signal_connection | callback_image_preloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image has been preloaded.
template<typename T >
void | callback_image_preloaded_call (T *info)
| Image has been preloaded.
template<typename F >
::efl::eo::signal_connection | callback_image_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image resize.
template<typename T >
void | callback_image_resize_call (T *info)
| Image resize.
template<typename F >
::efl::eo::signal_connection | callback_image_unloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image data has been unloaded (by some mechanism in Evas that throw out original image data)
template<typename T >
void | callback_image_unloaded_call (T *info)
| Image data has been unloaded (by some mechanism in Evas that throw out original image data)
template<typename F >
::efl::eo::signal_connection | callback_key_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Key Press Event.
template<typename T >
void | callback_key_down_call (T *info)
| Key Press Event.
template<typename F >
::efl::eo::signal_connection | callback_key_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Key Release Event.
template<typename T >
void | callback_key_up_call (T *info)
| Key Release Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Button Down Event.
template<typename T >
void | callback_mouse_down_call (T *info)
| Mouse Button Down Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse In Event.
template<typename T >
void | callback_mouse_in_call (T *info)
| Mouse In Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Move Event.
template<typename T >
void | callback_mouse_move_call (T *info)
| Mouse Move Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Out Event.
template<typename T >
void | callback_mouse_out_call (T *info)
| Mouse Out Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Button Up Event.
template<typename T >
void | callback_mouse_up_call (T *info)
| Mouse Button Up Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_wheel_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Wheel Event.
template<typename T >
void | callback_mouse_wheel_call (T *info)
| Mouse Wheel Event.
template<typename F >
::efl::eo::signal_connection | callback_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Move Event.
template<typename T >
void | callback_move_call (T *info)
| Move Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse-touch Down Event.
template<typename T >
void | callback_multi_down_call (T *info)
| Mouse-touch Down Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Multi-touch Move Event.
template<typename T >
void | callback_multi_move_call (T *info)
| Multi-touch Move Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse-touch Up Event.
template<typename T >
void | callback_multi_up_call (T *info)
| Mouse-touch Up Event.
template<typename F >
::efl::eo::signal_connection | callback_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Resize Event.
template<typename T >
void | callback_resize_call (T *info)
| Resize Event.
template<typename F >
::efl::eo::signal_connection | callback_restack_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Restack Event.
template<typename T >
void | callback_restack_call (T *info)
| Restack Event.
template<typename F >
::efl::eo::signal_connection | callback_show_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Show Event.
template<typename T >
void | callback_show_call (T *info)
| Show Event.
| object (::efl::eo::parent_type _p)
| Constructs a new evas::object object. More...
Public Member Functions inherited from evas::object_smart
| object_smart (Eo *eo)
| Eo Constructor. More...
| object_smart (std::nullptr_t)
| nullptr_t Constructor. More...
| object_smart (object_smart const &other)
| Copy Constructor.
void | show () const
| No description supplied by the EAPI.
void | move (Evas_Coord x_, Evas_Coord y_) const
| No description supplied by the EAPI. More...
bool | callbacks_descriptions_set (const Evas_Smart_Cb_Description *descriptions_) const
| Set an smart object instance's smart callbacks descriptions. More...
void | callbacks_descriptions_get (const Evas_Smart_Cb_Description ***class_descriptions_, unsigned int *class_count_, const Evas_Smart_Cb_Description ***instance_descriptions_, unsigned int *instance_count_) const
| Retrieve an smart object's know smart callback descriptions (both instance and class ones). More...
Eina_Iterator * | iterator_new () const
| Retrieves an iterator of the member objects of a given Evas smart object. More...
void | callback_description_find (::efl::eina::string_view name_, const Evas_Smart_Cb_Description **class_description_, const Evas_Smart_Cb_Description **instance_description_) const
| Find callback description for callback called name. More...
void | hide () const
| No description supplied by the EAPI.
void | calculate () const
| Call the calculate() smart function immediately on a given smart object. More...
void | add () const
| Instantiates a new smart object described by `s`. More...
void | member_add (::evas::object sub_obj_) const
| Set an Evas object as a member of a given smart object. More...
void | resize (Evas_Coord w_, Evas_Coord h_) const
| No description supplied by the EAPI. More...
void | clip_unset () const
| No description supplied by the EAPI.
void | changed () const
| Mark smart object as changed, dirty. More...
void | member_del (::evas::object sub_obj_) const
| Removes a member object from a given smart object. More...
void | del () const
| Deletes a smart object.
void | attach (Evas_Smart *s_) const
| Attach a given smart data to a given smart object. More...
bool | need_recalculate_get () const
| Get the value of the flag signalling that a given smart object needs to get recalculated. More...
void | need_recalculate_set (bool value_) const
| Set or unset the flag signalling that a given smart object needs to get recalculated. More...
void | clip_set (::evas::object clip_) const
| No description supplied by the EAPI. More...
void | color_set (int r_, int g_, int b_, int a_) const
| No description supplied by the EAPI. More...
void | data_set (void *data_) const
| Store a pointer to user data for a given smart object. More...
::efl::eina::range_list< ::evas::object > | members_get () const
| Retrieves the list of the member objects of a given Evas smart object. More...
Evas_Smart * | smart_get () const
| Get the Evas_Smart from which `obj` smart object was created. More...
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was added.
template<typename T >
void | callback_callback_add_call (T *info)
| A callback was added.
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was deleted.
template<typename T >
void | callback_callback_del_call (T *info)
| A callback was deleted.
template<typename F >
::efl::eo::signal_connection | callback_changed_size_hints_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Size hints changed event.
template<typename T >
void | callback_changed_size_hints_call (T *info)
| Size hints changed event.
template<typename F >
::efl::eo::signal_connection | callback_focus_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Focus In Event.
template<typename T >
void | callback_focus_in_call (T *info)
| Focus In Event.
template<typename F >
::efl::eo::signal_connection | callback_focus_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Focus Out Event.
template<typename T >
void | callback_focus_out_call (T *info)
| Focus Out Event.
template<typename F >
::efl::eo::signal_connection | callback_free_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Object Being Freed (Called after Del)
template<typename T >
void | callback_free_call (T *info)
| Object Being Freed (Called after Del)
template<typename F >
::efl::eo::signal_connection | callback_hide_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Hide Event.
template<typename T >
void | callback_hide_call (T *info)
| Hide Event.
template<typename F >
::efl::eo::signal_connection | callback_hold_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Events go on/off hold.
template<typename T >
void | callback_hold_call (T *info)
| Events go on/off hold.
template<typename F >
::efl::eo::signal_connection | callback_image_preloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image has been preloaded.
template<typename T >
void | callback_image_preloaded_call (T *info)
| Image has been preloaded.
template<typename F >
::efl::eo::signal_connection | callback_image_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image resize.
template<typename T >
void | callback_image_resize_call (T *info)
| Image resize.
template<typename F >
::efl::eo::signal_connection | callback_image_unloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image data has been unloaded (by some mechanism in Evas that throw out original image data)
template<typename T >
void | callback_image_unloaded_call (T *info)
| Image data has been unloaded (by some mechanism in Evas that throw out original image data)
template<typename F >
::efl::eo::signal_connection | callback_key_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Key Press Event.
template<typename T >
void | callback_key_down_call (T *info)
| Key Press Event.
template<typename F >
::efl::eo::signal_connection | callback_key_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Key Release Event.
template<typename T >
void | callback_key_up_call (T *info)
| Key Release Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Button Down Event.
template<typename T >
void | callback_mouse_down_call (T *info)
| Mouse Button Down Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse In Event.
template<typename T >
void | callback_mouse_in_call (T *info)
| Mouse In Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Move Event.
template<typename T >
void | callback_mouse_move_call (T *info)
| Mouse Move Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Out Event.
template<typename T >
void | callback_mouse_out_call (T *info)
| Mouse Out Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Button Up Event.
template<typename T >
void | callback_mouse_up_call (T *info)
| Mouse Button Up Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_wheel_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Wheel Event.
template<typename T >
void | callback_mouse_wheel_call (T *info)
| Mouse Wheel Event.
template<typename F >
::efl::eo::signal_connection | callback_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Move Event.
template<typename T >
void | callback_move_call (T *info)
| Move Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse-touch Down Event.
template<typename T >
void | callback_multi_down_call (T *info)
| Mouse-touch Down Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Multi-touch Move Event.
template<typename T >
void | callback_multi_move_call (T *info)
| Multi-touch Move Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse-touch Up Event.
template<typename T >
void | callback_multi_up_call (T *info)
| Mouse-touch Up Event.
template<typename F >
::efl::eo::signal_connection | callback_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Resize Event.
template<typename T >
void | callback_resize_call (T *info)
| Resize Event.
template<typename F >
::efl::eo::signal_connection | callback_restack_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Restack Event.
template<typename T >
void | callback_restack_call (T *info)
| Restack Event.
template<typename F >
::efl::eo::signal_connection | callback_show_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Show Event.
template<typename T >
void | callback_show_call (T *info)
| Show Event.
| object_smart (::efl::eo::parent_type _p)
| Constructs a new evas::object_smart object. More...
Public Member Functions inherited from evas::signal_interface
| signal_interface (Eo *eo)
| Eo Constructor. More...
| signal_interface (std::nullptr_t)
| nullptr_t Constructor. More...
| signal_interface (signal_interface const &other)
| Copy Constructor.
| signal_interface (::efl::eo::parent_type _p)
| Constructs a new evas::signal_interface object. More...
Public Member Functions inherited from evas::smart_clipped
| smart_clipped (Eo *eo)
| Eo Constructor. More...
| smart_clipped (std::nullptr_t)
| nullptr_t Constructor. More...
| smart_clipped (smart_clipped const &other)
| Copy Constructor.
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was added.
template<typename T >
void | callback_callback_add_call (T *info)
| A callback was added.
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was deleted.
template<typename T >
void | callback_callback_del_call (T *info)
| A callback was deleted.
template<typename F >
::efl::eo::signal_connection | callback_changed_size_hints_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Size hints changed event.
template<typename T >
void | callback_changed_size_hints_call (T *info)
| Size hints changed event.
template<typename F >
::efl::eo::signal_connection | callback_focus_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Focus In Event.
template<typename T >
void | callback_focus_in_call (T *info)
| Focus In Event.
template<typename F >
::efl::eo::signal_connection | callback_focus_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Focus Out Event.
template<typename T >
void | callback_focus_out_call (T *info)
| Focus Out Event.
template<typename F >
::efl::eo::signal_connection | callback_free_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Object Being Freed (Called after Del)
template<typename T >
void | callback_free_call (T *info)
| Object Being Freed (Called after Del)
template<typename F >
::efl::eo::signal_connection | callback_hide_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Hide Event.
template<typename T >
void | callback_hide_call (T *info)
| Hide Event.
template<typename F >
::efl::eo::signal_connection | callback_hold_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Events go on/off hold.
template<typename T >
void | callback_hold_call (T *info)
| Events go on/off hold.
template<typename F >
::efl::eo::signal_connection | callback_image_preloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image has been preloaded.
template<typename T >
void | callback_image_preloaded_call (T *info)
| Image has been preloaded.
template<typename F >
::efl::eo::signal_connection | callback_image_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image resize.
template<typename T >
void | callback_image_resize_call (T *info)
| Image resize.
template<typename F >
::efl::eo::signal_connection | callback_image_unloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image data has been unloaded (by some mechanism in Evas that throw out original image data)
template<typename T >
void | callback_image_unloaded_call (T *info)
| Image data has been unloaded (by some mechanism in Evas that throw out original image data)
template<typename F >
::efl::eo::signal_connection | callback_key_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Key Press Event.
template<typename T >
void | callback_key_down_call (T *info)
| Key Press Event.
template<typename F >
::efl::eo::signal_connection | callback_key_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Key Release Event.
template<typename T >
void | callback_key_up_call (T *info)
| Key Release Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Button Down Event.
template<typename T >
void | callback_mouse_down_call (T *info)
| Mouse Button Down Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse In Event.
template<typename T >
void | callback_mouse_in_call (T *info)
| Mouse In Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Move Event.
template<typename T >
void | callback_mouse_move_call (T *info)
| Mouse Move Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Out Event.
template<typename T >
void | callback_mouse_out_call (T *info)
| Mouse Out Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Button Up Event.
template<typename T >
void | callback_mouse_up_call (T *info)
| Mouse Button Up Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_wheel_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Wheel Event.
template<typename T >
void | callback_mouse_wheel_call (T *info)
| Mouse Wheel Event.
template<typename F >
::efl::eo::signal_connection | callback_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Move Event.
template<typename T >
void | callback_move_call (T *info)
| Move Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse-touch Down Event.
template<typename T >
void | callback_multi_down_call (T *info)
| Mouse-touch Down Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Multi-touch Move Event.
template<typename T >
void | callback_multi_move_call (T *info)
| Multi-touch Move Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse-touch Up Event.
template<typename T >
void | callback_multi_up_call (T *info)
| Mouse-touch Up Event.
template<typename F >
::efl::eo::signal_connection | callback_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Resize Event.
template<typename T >
void | callback_resize_call (T *info)
| Resize Event.
template<typename F >
::efl::eo::signal_connection | callback_restack_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Restack Event.
template<typename T >
void | callback_restack_call (T *info)
| Restack Event.
template<typename F >
::efl::eo::signal_connection | callback_show_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Show Event.
template<typename T >
void | callback_show_call (T *info)
| Show Event.
| smart_clipped (::efl::eo::parent_type _p)
| Constructs a new evas::smart_clipped object. More...

## Static Public Member Functions
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from edje::object
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from efl::file
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from efl::gfx::base
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from efl::gfx::stack
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from eo::base
static void | event_global_freeze ()
| freeze events of object. More...
static void | event_global_thaw ()
| thaw events of object. More...
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from evas::common_interface
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from evas::object
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from evas::object_smart
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from evas::signal_interface
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from evas::smart_clipped
static Eo_Class const * | _eo_class ()

## Additional Inherited Members
Protected Attributes inherited from efl::eo::concrete
Eo * | _eo_raw
| The opaque EO Object.

## Detailed Description

Class edit.

## Constructor & Destructor Documentation

edje::edit::edit | ( | ::efl::eo::parent_type | _p | ) |
| inlineexplicit

Constructs a new edje::edit object.

Constructs a new edje::edit object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Example:

edje::edit my_edit(efl::eo::parent = parent_object);

See also
  edit(Eo* eo)

edje::edit::edit | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

edje::edit::edit | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.